# $Revision: 1.54 $, $Date: 2007/02/12 22:09:14 $
#
# Conditional build:
%bcond_without	gimp	# don't build GIMP plugin
%bcond_with	gtk1	# use GTK+ 1.2.x for GUI (for eg. for GIMP 1.2)
#
Summary:	SANE - easy local and networked scanner access
Summary(es.UTF-8):	SANE - acceso a scanners en red y locales
Summary(ko.UTF-8):	스캐너를 다루는 소프트웨어
Summary(pl.UTF-8):	SANE - prosta obsługa skanerów lokalnych i sieciowych
Summary(pt_BR.UTF-8):	Front-ends para o SANE
Name:		sane-frontends
Version:	1.0.14
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.sane-project.org/pub/sane/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c63bf7b0bb5f530cf3c08715db721cd3
URL:		http://www.sane-project.org/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with gtk1}
BuildRequires:	gtk+-devel >= 1.2.0
%{?with_gimp:BuildRequires:	gimp-devel < 1.3.0}
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.2.0}
%else
BuildRequires:	gtk+2-devel >= 1:2.0.0
%{?with_gimp:BuildRequires:	gimp-devel >= 1:1.3.23}
%endif
BuildRequires:	sane-backends-devel >= 1.0.14
Requires:	sane-backends >= 1.0.14
Obsoletes:	xscanimage
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir 2>/dev/null || echo ERROR)
%endif

%description
SANE (Scanner Access Now Easy) is a sane and simple interface to both
local and networked scanners and other image acquisition devices like
digital still and video cameras.

This packages contains frontends for SANE: xscanimage and xcam.

%description -l es.UTF-8
SANE - acceso a scanners en red y locales.

%description -l pl.UTF-8
SANE (Scanner Access Now Easy) jest rozsądnym i prostym interfejsem do
skanerów, zarówno lokalnych jak i sieciowych, oraz innych urządzeń do
pozyskiwania obrazów, jak cyfrowe aparaty i kamery.

Ten pakiet zawiera frontendy dla SANE: xscanimage i xcam.

%description -l pt_BR.UTF-8
SANE (Scanner Access Now Easy) é uma interface para scanners e outros
dispositivos locais e remotos de aquisição de imagens tais como
câmeras digitais. SANE atualmente suporta um grande numero de
scanners, incluindo modelos da Agfa SnapScan, Apple, Artec, Canon,
CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens, Tamarack, UMAX,
Connectix QuickCams e outros. Este pacote não habilita scanning por
rede por default; se você quiser habilitar essa característica,
verifique o manpage do saned(1).

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	%{!?with_gimp:--disable-gimp} \
	%{?with_gimp:%{?with_gtk1:--enable-gimp12}} \
	%{?with_gtk1:--disable-gtk2}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with gimp}
install -d $RPM_BUILD_ROOT%{gimpplugindir}/plug-ins
ln -sf %{_bindir}/xscanimage $RPM_BUILD_ROOT%{gimpplugindir}/plug-ins
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changelog NEWS PROBLEMS README
%attr(755,root,root) %{_bindir}/*
%{?with_gimp:%attr(755,root,root) %{gimpplugindir}/plug-ins/*}
%{_mandir}/man1/*
%{_datadir}/sane

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sane-frontends.spec,v $
Revision 1.54  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.53  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.52  2005/10/05 22:39:57  qboosh
- updated to 1.0.14 (network deadlock fix, xcam improvements)

Revision 1.51  2005/06/06 21:53:46  zbyniu
- BR: automake

Revision 1.50  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.49  2004/11/08 20:58:15  qboosh
- disabled strict dep on sane-backends - libsane ABI seems more stable now
  (tested 1.0.14 vs 1.0.15 at least)

Revision 1.48  2004/10/28 09:58:33  paladine
- "GTK+" unification (hope thats all)

Revision 1.47  2004/10/24 19:05:54  qboosh
- updated to 1.0.13, new Source0 URL

Revision 1.46  2004/08/21 11:08:01  deejay1
- rel. up to 4

Revision 1.45  2004/07/20 10:10:03  qboosh
- workaround for missing gimptool

Revision 1.44  2004/06/12 17:53:18  adamg
- release 3 to really rebuild with sane-backends 1.0.14-2 (previously
  it wasn't upgraded on builders)

Revision 1.43  2004/06/12 12:02:38  adamg
- release 2 to rebuild with sane-backends 1.0.14-2

Revision 1.42  2004/04/25 14:15:14  qboosh
- updated to 1.0.12, removed obsolete gimp patch

Revision 1.41  2004/03/28 12:59:31  arekm
- rebuild with new gimp

Revision 1.40  2004/03/23 21:38:44  qboosh
- macro fix

Revision 1.39  2004/03/23 18:01:27  averne
- fixed to build with new gimp and rel up for Ac (changes by krzynio)

Revision 1.38  2004/03/19 16:46:15  grzegol
- added epoch to gimp requires

Revision 1.37  2004/03/14 10:47:03  eothane
- silly changelog cleanups and bcond style changes

Revision 1.36  2004/01/25 23:58:17  undefine
- release 6, rebuild with gimp 2.0

Revision 1.35  2003/12/06 09:16:58  matkor
- Release 5 (ac). Rebuild with gimp 1.3.23 libs.

Revision 1.34  2003/10/17 16:57:14  qboosh
- updated URL

Revision 1.33  2003/09/07 00:03:45  ankry
- merged translations from sane-backends

Revision 1.32  2003/08/01 21:17:54  qboosh
- s/gimp-config/gimptool/ (needed for 1.3.17+)
- bcond standardization: s/_with_gtk12/_with_gtk1/
- release 4

Revision 1.31  2003/06/19 15:37:38  qboosh
- added gimp1.3.15 patch, builds now

Revision 1.30  2003/06/11 10:34:41  wiget
- rebuild with gimp 1.3.15

Revision 1.29  2003/05/27 11:40:18  trojan
- added Source-md5

Revision 1.28  2003/05/25 06:26:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/29 16:07:42  wiget
- typo

Revision 1.26  2003/04/29 16:03:52  wiget
- enabled support for GIMP 1.3
- release 2

Revision 1.25  2003/04/29 15:00:29  wiget
- updated to 1.0.11

Revision 1.24  2003/02/14 15:58:44  qboosh
- backends and frontends versions may differ

Revision 1.23  2003/02/14 15:18:38  blues
- require strict version of sane-backend (it will make sig11 if not match)

Revision 1.22  2003/02/02 13:21:03  kloczek
- corrected Source url.

Revision 1.21  2003/02/02 01:40:29  qboosh
- final 1.0.10
- use gimp-config to determine gimp plugin directory

Revision 1.20  2003/01/20 12:51:07  wiget
- updated to 1.0.10-pre2
- added --without-gimp bcond

Revision 1.19  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.18  2002/11/29 10:53:29  newrom
- Updated to ver 1.0.9
- Compile but doesn't work (for me)

Revision 1.17  2002/06/02 11:36:56  kloczek
- updated to 1.0.8,
- use new %doc and remove obsoleted DESTDIR patch.

Revision 1.16  2002/05/21 23:14:40  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/03/21 20:50:35  kloczek
- bump release to 2.

Revision 1.14  2002/03/12 20:50:49  mkochano
- Removed _commented_out_ fpe patch. It's been merged with sources.

Revision 1.13  2002/03/12 20:49:41  mkochano
- Updated to 1.0.7.
- Release 1.

Revision 1.12  2002/02/23 04:32:22  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:14:51  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/13 19:00:05  qboosh
- Obsoletes: xscanimage; typo; release 4

Revision 1.8  2001/12/07 08:21:46  kloczek
- bump release to 3,
- merge translations from Conectiva,
- merge fpe patch from RH.

Revision 1.7  2001/12/07 08:16:27  kloczek
- updated to 1.0.6 (mainly this bugfix release).

Revision 1.6  2001/10/11 14:08:25  qboosh
- BuildRequires: autoconf; changed Group to X11/Applications/Graphics

Revision 1.5  2001/07/02 16:24:28  qboosh
- 1.0.5, updated Source0 URL, updated DESTDIR patch

Revision 1.4  2001/03/08 07:26:36  kloczek
- cosmetics.

Revision 1.3  2001/02/12 00:47:59  kloczek
- adapterized.

Revision 1.2  2001/02/10 23:38:56  qboosh
- gimp_ver = 1.2

Revision 1.1  2001/02/09 15:46:35  zagrodzki
- updated to 1.0.4
